Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMAccess

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMAccess

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QMAccessClass, QMField, QMId, QMIdentity, QMIgnore, QMProperty

public abstract class QMAccess
extends QMCloneable

Models the element access, which represents a family of elements in QJML. This family of elements define the implimentation of the relationship between an element and its attributes or an element and its element content.

Field Summary
`String` | `coin` Models the coin attribute of an access element.
`QMAccess` | `ia` Matching inherited access
`String` | `key` Models the key attribute on an access element.
`QMAccess` | `keyAccess` References the QMField or QMProperty object named by the key attribute.
`String` | `kind` Models the kind attribute.
`QMCoin` | `mCoin` References the QMCoin object named by the coin attribute.
`String` | `name` Models the name attribute of a field or property element.
`int` | `size` Models the size attribute of an access element.

Constructor Summary
`QMAccess()`

Method Summary
`void` | `addAccessor(Map coinMap, Map contentMap, QMCoin myCoin)` Add accessor.
`void` | `buildMaps(Map coinMap, Map contentMap, QMCoin myCoin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`String` | `getClassName()` Return the name of the Java class of the element named by the coin attribute.
`void` | `init(Map coinMap, Map contentMap, QMCoin myCoin, QMContentModel contentModel)` Resolve references, inheritance.
`void` | `munge()` Munge info from two accessors which should be identical.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  Models the name attribute of a field or property element. The name element specifies the variable or property name used by the Java class being described. The name attribute is required for field and property elements and is not a part of other access elements.

### size

    public int size

  Models the size attribute of an access element. The size attribute specifies of an array or indexed property. The size attribute has a default value of -1.

### coin

    public String coin

  Models the coin attribute of an access element. The coin attribute names a coin element in the same QJML document, or in an included document. The identified coin describes the element or family of elements being accessed. The coin attribute is optional. When the access element is held by an item and the schema attribute is not set on that item element, then the value of the coin attribute on that item element is used as a default value.

### key

    public String key

  Models the key attribute on an access element. The key attribute names a field or property element. This attribute is required when kind is set to map, optional when kind is set to array, list, or indexed, and should not be set when kind is not set.

### kind

    public String kind

  Models the kind attribute. The kind attribute is optional, but is limited to the following values:

  - array -- The item is an array.
  - list -- The item is a java.util.List.
  - map -- The item is a java.util.Map.
  - indexed -- The item is an indexed property.

### mCoin

    public transient QMCoin mCoin

  References the QMCoin object named by the coin attribute. This variable is set when the data model is initialized.

### keyAccess

    public transient QMAccess keyAccess

  References the QMField or QMProperty object named by the key attribute. This variable is set when the data model is initialized.

### ia

    public transient QMAccess ia

  Matching inherited access

Constructor Detail

### QMAccess

    public QMAccess()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMCloneable`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QMCoin myCoin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### addAccessor

    public void addAccessor(Map coinMap,
                            Map contentMap,
                            QMCoin myCoin)
                     throws SAXException

  Add accessor.

### munge

    public void munge()

  Munge info from two accessors which should be identical.

### init

    public void init(Map coinMap,
                     Map contentMap,
                     QMCoin myCoin,
                     QMContentModel contentModel)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

### getClassName

    public String getClassName()
                        throws SAXException

  Return the name of the Java class of the element named by the coin attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD